Skip to main content
milestones

List milestones

Milestones. title is the display name.

GET
/milestones
Authorizationstringheaderrequired

An API key: vzk_live_...

limitintegerquerydefault:50
Required range: 1 <= x <= 200
cursorstringquery

next_cursor from the previous page

sortstringquery

Comma-separated fields, "-" prefix for descending. Sortable: title, start_date, due_date, order_index, created_at, updated_at.

filtersobjectquery

Filter with field=value or field[op]=value (op: eq, neq, gt, gte, lt, lte, like, ilike, in, is). Filterable: id (uuid), project_id (uuid), status (string), phase (string), project_code (string), external_ref (string), start_date (date), due_date (date), completion_date (date), created_at (timestamp), updated_at (timestamp).

Response

application/json

One page

dataobject[]required
next_cursorstring | nullrequired